#ifndef APP_LED_H
#define APP_LED_H

#include "fsl_common_arm.h"
#include "pin_mux.h"

typedef enum {
    APP_LED_RED   = BOARD_INITLEDPINS_LED_R_PIN,
    APP_LED_GREEN = BOARD_INITLEDPINS_LED_G_PIN,
    APP_LED_BLUE  = BOARD_INITLEDPINS_LED_B_PIN,
} app_led_t;

static inline void app_led_on(app_led_t led) {
    GPIO->B[0][led] = 0U;
}

static inline void app_led_off(app_led_t led) {
    GPIO->B[0][led] = 1U;
}

static inline bool app_led_status(app_led_t led) {
    return GPIO->B[0][led] ? false : true;
}

static inline void app_led_toggle(app_led_t led) {
    GPIO->B[0][led] ^= 1U;
}

#endif  // APP_LED_H
