/* Board */
#include "board.h"
#include "clock_config.h"
#include "pin_mux.h"

/* App */
#include "app_adc.h"
#include "app_dac.h"
#include "app_gpio.h"
#include "app_i2c_if.h"
#include "app_sys_utils.h"
#include "app_uart.h"

int main(void) {
    BOARD_InitBootPins();
    BOARD_InitBootClocks();

    app_sys_utils_init();
    app_gpio_init();
    app_adc_init();
    app_dac_init();
    app_uart_init();
    app_i2c_if_init();

    for (;;) {
        __WFI();
    }
}
